[arch-commits] Commit in gstreamer0.10-good/trunk (PKGBUILD configure.patch)
Jan de Groot
jgc at archlinux.org
Tue Aug 25 16:01:45 UTC 2009
Date: Tuesday, August 25, 2009 @ 12:01:44
Author: jgc
Revision: 50336
Merge plugin package to the same PKGBUILD
Modified:
gstreamer0.10-good/trunk/PKGBUILD
Deleted:
gstreamer0.10-good/trunk/configure.patch
-----------------+
PKGBUILD | 36 +++++++++++++++++++++++++++---------
configure.patch | 10 ----------
2 files changed, 27 insertions(+), 19 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2009-08-25 15:47:16 UTC (rev 50335)
+++ PKGBUILD 2009-08-25 16:01:44 UTC (rev 50336)
@@ -1,27 +1,45 @@
# $Id$
# Maintainer: Jan de Groot <jgc at archlinux.org>
-pkgname=gstreamer0.10-good
+pkgbase=gstreamer0.10-good
+pkgname=('gstreamer0.10-good' 'gstreamer0.10-good-plugins')
pkgver=0.10.15
-pkgrel=1
-pkgdesc="GStreamer Multimedia Framework Good plugin libraries"
+pkgrel=3
arch=('i686' 'x86_64')
license=('LGPL')
-depends=('gstreamer0.10-base>=0.10.23')
-makedepends=('intltool' 'pkgconfig')
+makedepends=('intltool' 'pkgconfig' 'gstreamer0.10-base' 'libavc1394>=0.5.3-3' 'hal>=0.5.13' 'libiec61883>=1.2.0' 'aalib>=1.4rc5-5' 'libshout>=2.2.2' 'libdv>=1.0.0' 'esound>=0.2.41' 'flac>=1.2.1' 'gconf>=2.26.2' 'wavpack>=4.50.1' 'taglib>=1.5' 'libsoup>=2.26.3' 'libv4l>=0.6.0' 'libcaca>=0.99.beta16' 'bzip2')
url="http://gstreamer.freedesktop.org/"
options=(!libtool)
-_relname=gst-plugins-good
-source=(${url}/src/${_relname}/${_relname}-${pkgver}.tar.bz2)
+source=(${url}/src/gst-plugins-good/gst-plugins-good-${pkgver}.tar.bz2)
md5sums=('19bc6cc07951b3382d1ac8525b20e83f')
build() {
- cd "${srcdir}/${_relname}-${pkgver}"
+ cd "${srcdir}/gst-plugins-good-${pkgver}"
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
- --disable-static --enable-experimental --disable-external \
+ --disable-static --enable-experimental \
--with-package-name="GStreamer Good Plugins (Archlinux)" \
--with-package-origin="http://www.archlinux.org/" || return 1
make || return 1
+ sed -e 's/gst sys ext/gst/' -i Makefile || return 1
+}
+
+package_gstreamer0.10-good() {
+ depends=('gstreamer0.10-base>=0.10.24' 'bzip2')
+ pkgdesc="GStreamer Multimedia Framework Good plugin libraries"
+
+ cd "${srcdir}/gst-plugins-good-${pkgver}"
make DESTDIR="${pkgdir}" install || return 1
}
+
+package_gstreamer0.10-good-plugins() {
+ depends=("gstreamer0.10-good=${pkgver}" 'libavc1394>=0.5.3-3' 'hal>=0.5.13' 'libiec61883>=1.2.0' 'aalib>=1.4rc5-5' 'libshout>=2.2.2' 'libdv>=1.0.0' 'esound>=0.2.41' 'flac>=1.2.1' 'gconf>=2.26.2' 'wavpack>=4.50.1' 'taglib>=1.5' 'libsoup>=2.26.3' 'libv4l>=0.6.0' 'libcaca>=0.99.beta16')
+ pkgdesc="GStreamer Multimedia Framework Good Plugins (gst-plugins-good)"
+ groups=('gstreamer0.10-plugins')
+ replaces=('gstreamer0.10-aalib' 'gstreamer0.10-wavpack' 'gstreamer0.10-shout2' 'gstreamer0.10-taglib' 'gstreamer0.10-libcaca' 'gstreamer0.10-libpng' 'gstreamer0.10-jpeg' 'gstreamer0.10-cairo' 'gstreamer0.10-flac' 'gstreamer0.10-speex' 'gstreamer0.10-gdkpixbuf' 'gstreamer0.10-hal' 'gstreamer0.10-dv1394' 'gstreamer0.10-annodex' 'gstreamer0.10-gconf' 'gstreamer0.10-esd' 'gstreamer0.10-cdio' 'gstreamer0.10-dv' 'gstreamer0.10-soup')
+ conflicts=('gstreamer0.10-aalib' 'gstreamer0.10-wavpack' 'gstreamer0.10-shout2' 'gstreamer0.10-taglib' 'gstreamer0.10-libcaca' 'gstreamer0.10-libpng' 'gstreamer0.10-jpeg' 'gstreamer0.10-cairo' 'gstreamer0.10-flac' 'gstreamer0.10-speex' 'gstreamer0.10-gdkpixbuf' 'gstreamer0.10-hal' 'gstreamer0.10-dv1394' 'gstreamer0.10-annodex' 'gstreamer0.10-gconf' 'gstreamer0.10-esd' 'gstreamer0.10-cdio' 'gstreamer0.10-dv' 'gstreamer0.10-bad-plugins<0.10.7' 'gstreamer0.10-soup')
+
+ cd "${srcdir}/gst-plugins-good-${pkgver}"
+ make -C sys DESTDIR="${pkgdir}" install || return 1
+ make -C ext DESTDIR="${pkgdir}" install || return 1
+}
Deleted: configure.patch
===================================================================
--- configure.patch 2009-08-25 15:47:16 UTC (rev 50335)
+++ configure.patch 2009-08-25 16:01:44 UTC (rev 50336)
@@ -1,10 +0,0 @@
---- configure.ac 2008-10-06 22:28:38.000000000 +0200
-+++ configure.ac 2008-10-06 22:28:49.000000000 +0200
-@@ -970,6 +970,7 @@
- AM_CONDITIONAL(USE_TAGLIB, false)
- AM_CONDITIONAL(USE_WAVPACK, false)
- AM_CONDITIONAL(USE_ZLIB, false)
-+AM_CONDITIONAL(USE_PULSE, false)
-
- fi dnl of EXT plugins
-
More information about the arch-commits
mailing list